> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Filtered Listings

> Filters and returns listings from the network using the posted filter payload. Designed for fine-grained, structured listing search. Criteria are ANDed together.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /listings/filter
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /listings/filter:
    post:
      tags:
        - Listings
      summary: List Filtered Listings
      description: >-
        Filters and returns listings from the network using the posted filter
        payload. Designed for fine-grained, structured listing search. Criteria
        are ANDed together.
      parameters:
        - description: 'Maximum number of results to return (default: 50)'
          in: query
          name: limit
          schema:
            type: integer
        - description: ID for forward pagination (get listings after this ID)
          in: query
          name: next_id
          schema:
            type: string
        - description: ID for backward pagination (get listings before this ID)
          in: query
          name: before_id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/sevent.Filter'
        description: Listing filter payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/listings.Listing'
                type: array
          description: filtered listings
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid request body
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: internal error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    sevent.Filter:
      properties:
        authors:
          description: Listing Authors's to filter on
          items:
            type: string
          type: array
        ids:
          description: Listing ID's to filter on
          items:
            type: string
          type: array
        kinds:
          items:
            type: integer
          type: array
        limit:
          type: integer
        search:
          type: string
        since:
          description: Listings after UNIX timestamp
          type: integer
        tags:
          $ref: '#/components/schemas/sevent.Tags'
        until:
          description: Listings before UNIX timestamp
          type: integer
        urls:
          description: Targeted URL's to query
          items:
            type: string
          type: array
      type: object
    listings.Listing:
      properties:
        content:
          $ref: '#/components/schemas/listings.ListingContent'
        created_at:
          description: TODO open, change to unix timestamp?
          type: string
        id:
          type: string
        kind:
          type: integer
        public_key:
          type: string
        recipient_public_key:
          type: string
        reply_url:
          type: string
        root_id:
          type: string
        sig:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
        thread_id:
          type: string
        url:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    sevent.Tags:
      properties:
        addresses:
          items:
            type: string
          type: array
        batch_id:
          type: string
        company:
          description: Publishing organization name e.g. "seminode electronics"
          type: string
        event_id:
          type: string
        finalized:
          type: string
        internal_nos:
          items:
            type: string
          type: array
        material_nos:
          description: Listing Material Numbers
          items:
            type: string
          type: array
        mfr:
          description: Listing Manufacturers
          type: string
        recipient:
          type: string
        status:
          description: Quote Tags
          type: string
        thread_id:
          type: string
        type:
          description: '''supply'' or ''demand'''
          type: string
      type: object
    listings.ListingContent:
      properties:
        attributes:
          allOf:
            - $ref: '#/components/schemas/listings.ListingAttributes'
          description: Meta Attribibutes
          type: object
        batch_id:
          description: Batch ID (Optional)
          type: string
        company:
          description: 'Default: Publish Company Name'
          type: string
        contact:
          $ref: '#/components/schemas/listings.ListingContact'
        encrypted:
          $ref: '#/components/schemas/listings.SecureField'
        errors:
          additionalProperties:
            type: string
          description: Error field for parsing
          type: object
        image_url:
          type: string
        internal_no:
          description: Internal Number (Optional)
          type: string
        material_no:
          description: Mandatory upload fields
          type: string
        mfr:
          description: Manufacturer (Required)
          type: string
        qty:
          description: Quantity (Required)
          type: integer
        timing:
          allOf:
            - $ref: '#/components/schemas/listings.ListingTiming'
          description: Timing (Optional)
          type: object
        type:
          description: '"supply" or "demand"'
          type: string
        unit_price:
          description: Unit Price (Required)
          type: number
      type: object
    listings.ListingAttributes:
      properties:
        coo:
          type: string
        currency:
          type: string
        custom:
          additionalProperties: true
          description: user-defined
          type: object
        date_code:
          type: string
        description:
          type: string
        eccn:
          type: string
        lot_no:
          type: string
        moq:
          type: integer
        mpq:
          type: integer
        packaging:
          type: string
      type: object
    listings.ListingContact:
      properties:
        methods:
          items:
            type: string
          type: array
        reply_url:
          type: string
      type: object
    listings.SecureField:
      properties:
        ciphertext:
          type: string
        payload:
          additionalProperties: true
          type: object
      type: object
    listings.ListingTiming:
      properties:
        expiry:
          type: integer
        lead_time:
          type: string
        lead_time_int:
          type: integer
        required_date:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````